Skip to main content
`Ctrl`+`K`

# BVSetLeadingDimension

Set the leading dimension to be used for storing the `BV` data.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetLeadingDimension(BV bv,PetscInt ld)

Not Collective

## Input Parameters

- bv - basis vectors

- ld - the leading dimension

## Notes

This parameter is relevant for `BVMAT`, though it might be employed in other types as well.

When the internal data of the `BV` is stored as a dense matrix, the leading dimension has the same meaning as in `MatDenseSetLDA()`, i.e., the distance in number of elements from one entry of the matrix to the one in the next column at the same row. The leading dimension refers to the local array, and hence can be different in different processes.

The user does not need to change this parameter. The default value is equal to the number of local rows, but this value may be increased a little to guarantee alignment (especially in the case of GPU storage).

## See Also

BV: Basis Vectors, `BVGetLeadingDimension()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages